#!/bin/bash

# WatchData主目录ROOT
DDIR_ROOT=/opt/apps/com.watchdata.sdnxy
DDIR_FILES=$DDIR_ROOT/files
# 注册到firefox的P11模块名
P11_MODEL_NAME=WD_PKCS11_SDNXY
#echo "${DDIR_FILES}/bin/P11ModelTool -delP11 ${P11_MODEL_NAME}"
#$DDIR_FILES/bin/P11ModelTool -delP11 $P11_MODEL_NAME
if [ $SUDO_USER ];then
    user=$SUDO_USER
	home_path=/home/$SUDO_USER
else
	users=`ps -ef|grep installer|grep -v grep |awk '{print $1}'`

	for userTmp in $users
    do
        if [ $userTmp != root ];then
            user=$userTmp
            length=${#user}
            #大于８位，第８位可能为"+",需要去掉
            if [ $length == "8" ]; then
                	if [ ${user:7:1} == "+" ]; then
                		user=${user:0:7}
                	fi
            fi
            user=`getent passwd|grep $user| cut -d: -f1`
            break
        fi
    done

    if [ "$user" == "" ];then
        user=root
    fi
	
	if [ $user != root ];then
		home_path=/home/$user
	else
		home_path=~
	fi
fi

profiledir=`cat ${home_path}/.mozilla/firefox/profiles.ini | sed -n -e 's/^.*Path=//p' | head -n 1`
if [ -f /usr/bin/modutil ]; then
   echo "modutil -dbdir ${home_path}/.mozilla/firefox/$profiledir  -delete "$P11_MODEL_NAME" -force"
   modutil -dbdir ${home_path}/.mozilla/firefox/$profiledir  -delete "$P11_MODEL_NAME" -force
   echo "modutil -dbdir sql:${home_path}/.pki/nssdb -delete "$P11_MODEL_NAME" -force"
   modutil -dbdir sql:${home_path}/.pki/nssdb -delete "$P11_MODEL_NAME" -force
   echo "modutil -dbdir sql:${home_path}/.pki/nssdb/.config/qaxbrowser -delete "$P11_MODEL_NAME" -force"
   modutil -dbdir sql:${home_path}/.pki/nssdb/.config/qaxbrowser -delete "$P11_MODEL_NAME" -force
else
   echo "$DDIR_FILES/bin/modutil -dbdir ${home_path}/.mozilla/firefox/$profiledir  -delete "$P11_MODEL_NAME" -force"
   $DDIR_FILES/bin/modutil -dbdir ${home_path}/.mozilla/firefox/$profiledir  -delete "$P11_MODEL_NAME" -force
   echo "$DDIR_FILES/bin/modutil -dbdir sql:${home_path}/.pki/nssdb -delete "$P11_MODEL_NAME" -force"
   $DDIR_FILES/bin/modutil -dbdir sql:${home_path}/.pki/nssdb -delete "$P11_MODEL_NAME" -force
   echo "$DDIR_FILES/bin/modutil -dbdir sql:${home_path}/.pki/nssdb/.config/qaxbrowser -delete "$P11_MODEL_NAME" -force"
   $DDIR_FILES/bin/modutil -dbdir sql:${home_path}/.pki/nssdb/.config/qaxbrowser -delete "$P11_MODEL_NAME" -force
fi
if [ $USER != root ];then
    echo "sudo chown $USER ${home_path}/.mozilla/firefox/$profiledir/ -R"
    sudo chown $USER ${home_path}/.mozilla/firefox/$profiledir/ -R
    echo "sudo chown $USER $home_path/.pki/nssdb/* -R"
    sudo chown $USER $home_path/.pki/nssdb/* -R
    echo "sudo chown $USER $home_path/.pki/nssdb/.config/qaxbrowser/* -R"
    sudo chown $USER $home_path/.pki/nssdb/.config/qaxbrowser/* -R
else
    echo "sudo chown $user ${home_path}/.mozilla/firefox/$profiledir/ -R"
    sudo chown $user ${home_path}/.mozilla/firefox/$profiledir/ -R
    echo "sudo chown $user $home_path/.pki/nssdb/* -R"
    sudo chown $user $home_path/.pki/nssdb/* -R
    echo "sudo chown $user $home_path/.pki/nssdb/.config/qaxbrowser/* -R"
    sudo chown $user $home_path/.pki/nssdb/.config/qaxbrowser/* -R
fi